<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ACL/test -&gt; AVSCommon Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html">ACL</a></li><li class="navelem"><a class="el" href="dir_2df864b0a635213c7e15391c7fd2f9dc.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>test &rarr; AVSCommon Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in ACL/test</th><th class="dirtab">Includes file in AVSCommon</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_a_v_s_connection_manager_test_8cpp.html">AVSConnectionManagerTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_0cdc2576cbdff8bbeec8f5cd9892073c.html">Initialization</a>&#160;/&#160;<a class="el" href="_alexa_client_s_d_k_init_8h.html">AlexaClientSDKInit.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_a_v_s_connection_manager_test_8cpp.html">AVSConnectionManagerTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_2d9894417dd95d1842540bac6666188a.html">test</a>&#160;/&#160;<a class="el" href="dir_a56f36adbd781f5c7d9895fa2d100c85.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_834bf911d49030c30073fd5ed0d05185.html">Utils</a>&#160;/&#160;<a class="el" href="dir_01037c60081af1e4ffdd17d027381383.html">Network</a>&#160;/&#160;<a class="el" href="_mock_internet_connection_monitor_8h.html">MockInternetConnectionMonitor.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_h_t_t_p2_transport_test_8cpp.html">HTTP2TransportTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_manager_8h.html">AttachmentManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_h_t_t_p2_transport_test_8cpp.html">HTTP2TransportTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_utils_8h.html">AttachmentUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_h_t_t_p2_transport_test_8cpp.html">HTTP2TransportTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_promise_future_pair_8h.html">PromiseFuturePair.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_h_t_t_p2_transport_test_8cpp.html">HTTP2TransportTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6824e81d298af54a27a92358c374ca3f.html">HTTP</a>&#160;/&#160;<a class="el" href="_http_response_code_8h.html">HttpResponseCode.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_h_t_t_p2_transport_test_8cpp.html">HTTP2TransportTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_0bf0f45007ff5e6885dc23c0041db988.html">HTTP2</a>&#160;/&#160;<a class="el" href="_h_t_t_p2_request_config_8h.html">HTTP2RequestConfig.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_message_router_test_8h.html">MessageRouterTest.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_28c38612a2e19c2720cd1287ea8c9ceb.html">Threading</a>&#160;/&#160;<a class="el" href="_executor_8h.html">Executor.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_message_router_test_8h.html">MessageRouterTest.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_0e8af6b478d9d3942030011489161c8b.html">Memory</a>&#160;/&#160;<a class="el" href="_memory_8h.html">Memory.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_mock_auth_delegate_8h.html">MockAuthDelegate.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_auth_observer_interface_8h.html">AuthObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_mock_auth_delegate_8h.html">MockAuthDelegate.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_auth_delegate_interface_8h.html">AuthDelegateInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_mock_h_t_t_p2_connection_8h.html">MockHTTP2Connection.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_promise_future_pair_8h.html">PromiseFuturePair.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_mock_h_t_t_p2_connection_8h.html">MockHTTP2Connection.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6824e81d298af54a27a92358c374ca3f.html">HTTP</a>&#160;/&#160;<a class="el" href="_http_response_code_8h.html">HttpResponseCode.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_mock_h_t_t_p2_connection_8h.html">MockHTTP2Connection.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_0bf0f45007ff5e6885dc23c0041db988.html">HTTP2</a>&#160;/&#160;<a class="el" href="_h_t_t_p2_connection_interface_8h.html">HTTP2ConnectionInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_mock_h_t_t_p2_request_8h.html">MockHTTP2Request.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_0bf0f45007ff5e6885dc23c0041db988.html">HTTP2</a>&#160;/&#160;<a class="el" href="_h_t_t_p2_mime_response_decoder_8h.html">HTTP2MimeResponseDecoder.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_mock_h_t_t_p2_request_8h.html">MockHTTP2Request.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_0bf0f45007ff5e6885dc23c0041db988.html">HTTP2</a>&#160;/&#160;<a class="el" href="_h_t_t_p2_request_config_8h.html">HTTP2RequestConfig.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_mock_h_t_t_p2_request_8h.html">MockHTTP2Request.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_0bf0f45007ff5e6885dc23c0041db988.html">HTTP2</a>&#160;/&#160;<a class="el" href="_h_t_t_p2_request_interface_8h.html">HTTP2RequestInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_mock_message_request_8h.html">MockMessageRequest.h</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_message_request_8h.html">MessageRequest.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_mock_message_request_8h.html">MockMessageRequest.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_message_request_observer_interface_8h.html">MessageRequestObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_mock_mime_response_sink_8h.html">MockMimeResponseSink.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_0bf0f45007ff5e6885dc23c0041db988.html">HTTP2</a>&#160;/&#160;<a class="el" href="_h_t_t_p2_mime_response_sink_interface_8h.html">HTTP2MimeResponseSinkInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_mock_transport_8h.html">MockTransport.h</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_message_request_8h.html">MessageRequest.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a>&#160;/&#160;<a class="el" href="_testable_consumer_8h.html">TestableConsumer.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_message_observer_interface_8h.html">MessageObserverInterface.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
